{
  "type": "minecraft:fishing",
  "pools": [
    {
      "bonus_rolls": 0.3,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:lily_pad",
          "weight": 8
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "name": "minecraft:wet_sponge"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "damage": {
                "type": "minecraft:uniform",
                "max": 0.3,
                "min": 0
              },
              "function": "minecraft:set_damage"
            }
          ],
          "name": "minecraft:fishing_rod",
          "weight": 4
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "damage": {
                "type": "minecraft:uniform",
                "max": 0.25,
                "min": 0
              },
              "function": "minecraft:set_damage"
            }
          ],
          "name": "minecraft:bow",
          "weight": 2
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:name_tag",
          "weight": 14
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:saddle",
          "weight": 6
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 26,
              "treasure": true
            }
          ],
          "name": "minecraft:book",
          "weight": 2
        }
      ],
      "rolls": 1
    }
  ],
  "random_sequence": "minecraft:gameplay/fishing/treasure"
}